Temp Projects - Tasks #10428

Locator Issues
05/04/2023 11:32 AM - Rijas P

Status: Closed Start date: 05/04/2023
Priority: High Due date:

Assignee: Rijas P % Done: 50%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description

Dear Thanesh,
Case 1
If there is only 1 locator with no stock, then it's ok come to the -ve stock if we did Stock out transactions.

But if the item has multiple locators and have stock on 1 locator then the Qty should less from the locator have stock instead of
getting negative in other locators.

Eg:
Locator wise Stock

Product Name: EU18785
Quantity Locator Warehouse  Organisation
2619.00 D17 EURO Warehouse  Euro Novelties LLc
-202.00 0-0-0 EURO Warehouse Euro Novelties LLc
-202.00 D13 EURO Warehouse  Euro Novelties LLc
-205.00 D12 EURO Warehouse Euro Novelties LLc
-211.00 D4 EURO Warehouse  Euro Novelties LLc
Case 2
We need an option In Sales return screen to choose the Locator where we want to keep back the item.
Case 3

The To Locator option is not working proper in Stock transfer screen

Eg: if we add 3 items in Stock transfers with different "To locator" then after complete it, the last line locator will update for all items.

ltem To Locator
EU19754 Al
EU19753 A2
EU19752 A3

Once complete all the items will update in Locator A3.
Case 4

"To locator" field in CSV template in Stock transfer import.

History

#1 - 06/02/2023 10:21 AM - Peer Thanesh

- Assignee changed from Peer Thanesh to Mohamed Suhail

For Case1,2 & 4, when discussed with Rijas, He is expecting an enhancement on this. Do | need to create a ticket for this?
For case 3 is a bug, can | create a ticket for that?
#2 - 06/13/2023 11:54 AM - Mohamed Suhail
- Status changed from New to In Progress
- Assignee changed from Mohamed Suhail to Peer Thanesh
- % Done changed from 0 to 50
Peer Thanesh wrote:
For Case1,2 & 4, when discussed with Rijas, He is expecting an enhancement on this. Do | need to create a ticket for this?
For case 3 is a bug, can | create a ticket for that?
Peer Thanesh Please raise a bug for #3
| checked issue #1 and found that it happened due to a locator made inactive (D17) in the system where there was stock qty for the item

See the list of inactive locators in the warehouse where stock qty is there for the item

name | m_product_id | m_locator_id | value | gtyonhand
————————— B e et E
EU18784 | 1011017 | 1010835 | D17 | 4101
EU18785 | 1011018 | 1010835 | D17 | 2618
EU18786 | 1011019 | 1010835 | D17 | 3189
EU19754 | 1011864 | 1010835 | D17 | 57
EU23006 | 1026581 | 1010835 | D17 | 1845
EU23009 | 1026584 | 1010835 | D17 | 1930
EU21951 | 1024237 | 1010838 | D18 | 1283
EU23005 | 1026580 | 1010838 | D18 | 1806
EU23007 | 1026582 | 1010838 | D18 | 1818
EU23008 | 1026583 | 1010838 | D18 | 1866
EU19883 | 1012033 | 1000298 | IG | -1092
EU15807 | 1005988 | 1000223 | X | 1390
EU15807 | 1005988 | 1000222 | Y | -1390
(13 rows)

We need to make an enhancement in the system to check if there are any items with non-zero stock available on the locator before marking it as
inactive @savad

#3 - 06/15/2023 09:08 AM - Peer Thanesh

https://bugzilla.posibolt.com/show_bug.cgi?id=9703
https://bugzilla.posibolt.com/show_bug.cgi?id=9702

#4 - 08/25/2023 11:04 AM - Peer Thanesh
- Status changed from In Progress to Bugzilla Created

- Assignee changed from Peer Thanesh to Dev User

#5 - 10/25/2023 04:43 PM - Noufal K
- Status changed from Bugzilla Created to Resolved

- Assignee changed from Dev User to ljas Ahammed

resolved fist bug

#6 - 10/27/2023 12:28 PM - ljas Ahammed

- Assignee changed from ljas Ahammed to Rijas P

Dear Rijas,

Please check the first bug,

#7 - 11/27/2023 07:54 PM - Rijas P

- Status changed from Resolved to Closed

#8 - 05/21/2024 04:05 PM - SHAIJAL EDAVANA
- Tracker changed from Bug to Tasks

- Project changed from Euro Novelties to Temp Projects
http://redmine.posibolt.com/users/31
https://bugzilla.posibolt.com/show_bug.cgi?id=9703
https://bugzilla.posibolt.com/show_bug.cgi?id=9702

- Category deleted (Others)
